{% extends 'base.html' %}

{% block body %}
<div class="container">
    <div class="row">
        <div class="col-12">
            <div class="row" style="margin-bottom: 100px;">
                <div class="col-12">
                    <br>
                    <div class="card">
                        <div class="card-body">
                            <h4>Productos ofrecidos</h4>
                            <hr>
                            <span>Acá podrás seleccionar la lista de productos que ofreces. Ten en cuenta que los
                                pedidos que
                                recibas dependeran de tu selección.</span>
                            <br>
                            <br>
                            <div class="row">
                                <div class="col-12">
                                    <form action="{% url 'add_producto_ofrecido' %}" method="post" class="form-inline">
                                        {% csrf_token %}
                                        <label for="producto">Producto</label>
                                        <div style="width: 7px;"></div>
                                        <select name="producto" id="producto" class="form-control">
                                            <option value="" hidden>Selecciona</option>
                                            {% for p in productosNoOfrecidos %}
                                            <option value="{{p.Id}}">{{p.Nombre}}</option>
                                            {% endfor %}
                                        </select>
                                        <div style="width: 7px;"></div>
                                        <select name="calidad" id="calidad" class="form-control">
                                            {% for i in calidades %}
                                            <option value="{{i.Id}}">Calidad {{i.Nombre}}</option>
                                            {% endfor %}
                                        </select>
                                        <input type="submit" value="Agregar" class="btn btn-success"
                                            style="margin: 6px;">
                                    </form>
                                    <br>
                                </div>
                            </div>

                            <div style="position: relative;
                            max-height: 350px;
                            overflow: auto;
                            display: block;">

                                {% if productosOfrecidos %}
                                <table class="table table-bordered table-striped table-sm text-center">
                                    <tr>
                                        <th>Producto</th>
                                        <th>Temporada(s)</th>
                                        <th>Calidad</th>
                                        <th>Habilitar</th>
                                        <th>Acciones</th>
                                    </tr>

                                    {% for p in productosOfrecidos %}
                                    <tr>
                                        <td>{{p.Producto.Nombre}}</td>
                                        <td>{% for t in p.Temporadas %}
                                            {{t.Nombre}}
                                            {% endfor %}
                                        </td>
                                        <td>
                                            {{p.Calidad.Nombre}}
                                        </td>
                                        <td>
                                            <form action="{% url 'toggle_habilitado' %}" method="POST">
                                                {% csrf_token %}
                                                <div class="custom-control custom-switch">
                                                    <input type="hidden" name="producto" value="{{p.Producto.Id}}">
                                                    <input type="hidden" name="calidad" value="{{p.Calidad.Id}}">
                                                    <input type="checkbox" class="custom-control-input"
                                                        id="customSwitch{{p.Producto.Id}}"
                                                        {% if p.Habilitado == '1' %}checked{% endif %}
                                                        onChange="this.form.submit()">
                                                    <label class="custom-control-label bg-success"
                                                        for="customSwitch{{p.Producto.Id}}"></label>
                                                </div>
                                            </form>
                                        </td>
                                        <td>
                                            <form action="{% url 'remove_producto_ofrecido' %}" method="post">
                                                {% csrf_token %}
                                                <input type="hidden" name="producto" value="{{p.Producto.Id}}">
                                                <input type="hidden" name="calidad" value="{{p.Calidad.Id}}">
                                                <input type="submit" value="Quitar" class="btn btn-danger btn-sm">
                                            </form>
                                        </td>
                                    </tr>
                                    {% endfor %}
                                    {% else %}
                                    <h4>Aun no has agregado ningun producto a tu lista!</h4>
                                    {% endif %}
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

{% endblock %}